<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">HttpResponse Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classHttpResponse.html">HttpResponse</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classHttpResponse.html#a6a83c668bb537a24f3e62255501fb25e">addHeader</a>(std::string name, std::string value)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpResponse.html#a9fa95070f1861a24558f4a63f6d87818">close</a>()</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpResponse.html#ab76b0ba3926f6ddd0396b9cbe75c8cfe">getHeader</a>(std::string name)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>getHeaders</b>() (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_STATUS_BAD_REQUEST</b> (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_STATUS_CONTINUE</b> (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_STATUS_FORBIDDEN</b> (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_STATUS_INTERNAL_SERVER_ERROR</b> (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_STATUS_METHOD_NOT_ALLOWED</b> (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_STATUS_MOVED_PERMANENTLY</b> (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_STATUS_NOT_FOUND</b> (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_STATUS_NOT_IMPLEMENTED</b> (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_STATUS_OK</b> (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_STATUS_SERVICE_UNAVAILABLE</b> (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_STATUS_SWITCHING_PROTOCOL</b> (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_STATUS_UNAUTHORIZED</b> (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HttpResponse</b>(HttpRequest *httpRequest) (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpResponse.html#a68bc032812a96326d9fe4fde668a372b">sendData</a>(std::string data)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>sendData</b>(uint8_t *pData, size_t size) (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>sendFile</b>(std::string fileName, size_t bufSize=4 *1024) (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpResponse.html#af13a61ae987f15599232fa30d2cfdeab">setStatus</a>(int status, std::string message)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~HttpResponse</b>() (defined in <a class="el" href="classHttpResponse.html">HttpResponse</a>)</td><td class="entry"><a class="el" href="classHttpResponse.html">HttpResponse</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
